from llama_index.core import Document
from llama_index.core.node_parser import TokenTextSplitter

doc = Document( 
    text=(
    "To jest zdanie 1. To jest zdanie 2. "
    "Tutaj zdanie 3."
    ),
    metadata={"autor": "Jan Kowalski"}
)  
splitter = TokenTextSplitter( 
    chunk_size=16, 
    chunk_overlap=0, 
    separator=" "
) 

nodes = splitter.get_nodes_from_documents([doc]) 
for node in nodes: 
    print(node.text) 
    print(node.metadata)